=== debian/changelog ===
rpi-imager (1.7.2~bpo10+1) buster; urgency=medium

  * Rebuild for buster
  * Disable version check

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 10 May 2022 12:58:32 +0100

rpi-imager (1.7.2) unstable; urgency=medium

  * Remove overscan/piwiz supression advanced options
  * gz/xz/zstd custom images: pad if image size is not dividable by 512 byte
  * Store saved wifi password hashed
  * Make buttons blue on keyboard navigation
  * Add Japan, Korean translations

 -- Floris Bos <bos@je-eigen-domein.nl>  Thu, 24 Mar 2022 17:58:52 +0100

rpi-imager (1.7.1) unstable; urgency=medium

  * Fix advanced settings being broken if there are saved wifi
    settings and wifiSSIDHidden is not present

 -- Floris Bos <bos@je-eigen-domein.nl>  Thu, 03 Feb 2022 18:38:15 +0100

rpi-imager (1.7.0) unstable; urgency=medium

  * Only apply advanced settings if the operating system indicates it
    supports it by "init_format": "cloudinit" | "systemd" in the
    repository. Some heuristics are used with custom images from disk.
  * Advanced settings: add support for cloudinit format
  * Advanced settings: add support for specifying username
  * Advanced settings: allow setting username and password
  * Advanced settings: allow hidden wifi SSID
  * Advanced settings: allow multi-line authorized_keys
  * Retry on GnuTLS Recv errors
  * Some fixes to deal better with Linux distributions auto-mounting
    drives
  * Add Slovenija translation
  * Adds support for zstd
  * Allow nested subitems entries
  * Add word-wrapping to OS list (contributed by mzanetti)
  * Update icons 
  * Telemetry: phone back home when image from repository is written:
    - name of image written, parent category.
    - about the computer running Imager: OS, version, architecture,
      locale, Imager version, Pi revision.

 -- Floris Bos <bos@je-eigen-domein.nl>  Wed, 02 Feb 2022 19:47:17 +0100

rpi-imager (1.6.2) unstable; urgency=medium

  * Add website link support
  * Add CLI support 

 -- Floris Bos <bos@je-eigen-domein.nl>  Fri, 07 May 2021 13:19:19 +0200

rpi-imager (1.6.1) unstable; urgency=medium

  * When saving advanced options delay modifying files
    on FAT partition until config.txt is visible.
  * Update translations
  * Linux: revert disable high dpi scaling on incorrect EDID"
    due to it causing the custom file selection dialog not to
    function properly on Fedora

 -- Floris Bos <bos@je-eigen-domein.nl>  Sat, 27 Mar 2021 11:06:56 +0100

rpi-imager (1.6) unstable; urgency=medium

  * Wayland: fix "Client tried to set invalid geometry" error
  * Add advanced users option screen available under SHIFT-CTRL-X
  * Disable high DPI scaling on incorrect EDID
  * Fix handling of .iso files
  * Update translations
  * GUI: change "SD card" -> "Storage"
  * Allow NVMe drives as destination drive (Linux only)

 -- Floris Bos <bos@je-eigen-domein.nl>  Fri, 26 Feb 2021 14:32:21 +0100
