=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@ --sourcedirectory=src

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_CHECK_VERSION=OFF
