## rpi-imager 1.7.2%2Bnoembed

=== debian/control ===
Source: rpi-imager
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Floris Bos <bos@je-eigen-domein.nl>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libarchive-dev,
 libcurl4-openssl-dev | libcurl4-gnutls-dev,
 qtbase5-dev,
 qtbase5-dev-tools,
 qtdeclarative5-dev,
 libqt5svg5-dev,
 qttools5-dev,
 libssl-dev,
 qml-module-qtquick2,
 qml-module-qtquick-controls2,
 qml-module-qtquick-layouts,
 qml-module-qtquick-templates2,
 qml-module-qtquick-window2,
 qml-module-qtgraphicaleffects
Standards-Version: 4.5.1
Homepage: https://www.raspberrypi.org/

Package: rpi-imager
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 qml-module-qtquick2,
 qml-module-qtquick-controls2,
 qml-module-qtquick-layouts,
 qml-module-qtquick-templates2,
 qml-module-qtquick-window2,
 qml-module-qtgraphicaleffects,
 dosfstools,
 fdisk
Recommends: udisks2
Description: Raspberry Pi imaging utility
 Graphical user-interface to write disk images and format SD cards.
