=== debian/changelog ===
rpi-imager (1.7.2+noembed-0ubuntu1) jammy; urgency=medium

  * Initial upload to Ubuntu (LP: #1968921)
  * Added d/p/disable-version-check.patch to disable startup version check

 -- Dave Jones <dave.jones@canonical.com>  Wed, 13 Apr 2022 20:51:10 +0100
