## rpi-imager 1.7.3+noembed

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -12,8 +12,8 @@
 project(rpi-imager LANGUAGES CXX C)
 set(IMAGER_VERSION_MAJOR 1)
 set(IMAGER_VERSION_MINOR 7)
-set(IMAGER_VERSION_STR "${IMAGER_VERSION_MAJOR}.${IMAGER_VERSION_MINOR}.2")
-set(IMAGER_VERSION_CSV "${IMAGER_VERSION_MAJOR},${IMAGER_VERSION_MINOR},2,0")
+set(IMAGER_VERSION_STR "${IMAGER_VERSION_MAJOR}.${IMAGER_VERSION_MINOR}.3")
+set(IMAGER_VERSION_CSV "${IMAGER_VERSION_MAJOR},${IMAGER_VERSION_MINOR},3,0")
 add_definitions(-DIMAGER_VERSION_STR="${IMAGER_VERSION_STR}")
 add_definitions(-DIMAGER_VERSION_CSV=${IMAGER_VERSION_CSV})
 
@@ -32,10 +32,11 @@
         dependencies/drivelist/src/darwin/list.mm dependencies/drivelist/src/darwin/REDiskList.m icons/rpi-imager.icns)
     enable_language(OBJC C)
 elseif (UNIX)
-    set(DEPENDENCIES acceleratedcryptographichash.cpp dependencies/mountutils/src/linux/functions.cpp linux/linuxdrivelist.cpp)
+    set(DEPENDENCIES dependencies/mountutils/src/linux/functions.cpp linux/linuxdrivelist.cpp)
     find_package(Qt5DBus)
     if(Qt5DBus_FOUND)
-        set(DEPENDENCIES ${DEPENDENCIES} linux/udisks2api.cpp linux/udisks2api.h)
+        set(DEPENDENCIES ${DEPENDENCIES} linux/udisks2api.cpp linux/udisks2api.h
+            linux/networkmanagerapi.h linux/networkmanagerapi.cpp)
         set(EXTRALIBS Qt5::DBus)
         message("udisks2 support enabled")
     else()
@@ -48,6 +49,15 @@
     find_package(LibLZMA)
     if(LIBLZMA_FOUND)
         set(EXTRALIBS ${EXTRALIBS} LibLZMA::LibLZMA)
+    endif()
+    find_package(GnuTLS)
+    if (GnuTLS_FOUND)
+        set(DEPENDENCIES ${DEPENDENCIES} acceleratedcryptographichash_gnutls.cpp)
+        set(EXTRALIBS ${EXTRALIBS} GnuTLS::GnuTLS)
+        add_definitions(-DHAVE_GNUTLS)
+    else()
+        find_package(OpenSSL REQUIRED)
+        set(DEPENDENCIES ${DEPENDENCIES} acceleratedcryptographichash.cpp)
     endif()
 elseif (WIN32)
     set(DEPENDENCIES acceleratedcryptographichash.cpp dependencies/mountutils/src/windows/functions.cpp dependencies/drivelist/src/windows/list.cpp
@@ -272,7 +282,7 @@
 else()
     find_package(CURL 7.32.0 REQUIRED)
     find_package(LibArchive 3.2.0 REQUIRED)
-    find_package(OpenSSL REQUIRED)
+
     if (NOT CMAKE_CROSSCOMPILING)
         find_program(LSBLK "lsblk")
         if (NOT LSBLK)
@@ -281,14 +291,3 @@
 
         execute_process(COMMAND "${LSBLK}" "--json" RESULT_VARIABLE ret)
         if (ret EQUAL "1")
-            message(FATAL_ERROR "util-linux package too old. lsblk does not support --json (used for disk enumeration)")
-        endif()
-    endif()
-
-    configure_file(
-        "${CMAKE_CURRENT_SOURCE_DIR}/linux/rpi-imager.metainfo.xml.in"
-        "${CMAKE_CURRENT_BINARY_DIR}/rpi-imager.metainfo.xml"
-        @ONLY)
-
-    install(TARGETS rpi-imager DESTINATION bin)
-    install(FILES icons/rpi-imager.png DESTINATION share/icons/hicolor/128x128/apps)
