=== debian/control ===
--- 
+++ 
@@ -13,14 +13,14 @@
  qtdeclarative5-dev,
  libqt5svg5-dev,
  qttools5-dev,
- libssl-dev,
+ libgnutls28-dev,
  qml-module-qtquick2,
  qml-module-qtquick-controls2,
  qml-module-qtquick-layouts,
  qml-module-qtquick-templates2,
  qml-module-qtquick-window2,
- qml-module-qtgraphicaleffects
-Standards-Version: 4.5.1
+ qml-module-qtgraphicaleffects,
+Standards-Version: 4.6.1.0
 Homepage: https://www.raspberrypi.org/
 
 Package: rpi-imager
@@ -35,7 +35,12 @@
  qml-module-qtquick-window2,
  qml-module-qtgraphicaleffects,
  dosfstools,
- fdisk
-Recommends: udisks2
+ fdisk,
+Recommends:
+ udisks2,
+ libjs-bootstrap4,
+ libjs-jquery,
 Description: Raspberry Pi imaging utility
- Graphical user-interface to write disk images and format SD cards.
+ Graphical utility user-interface to write (optionally compressed) disk images
+ (from local files or remote hosts) to removable storage. Primarily intended
+ for use with OS images for the Raspberry Pi.
