## rpi-imager 1.7.5

=== debian/rules ===
--- 
+++ 
@@ -6,5 +6,8 @@
 %:
 	dh $@ --sourcedirectory=src
 
-override_dh_auto_configure:
-	dh_auto_configure -- -DENABLE_CHECK_VERSION=OFF
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
+
+
