=== debian/control ===
--- 
+++ 
@@ -20,11 +20,11 @@
  qml-module-qtquick-templates2,
  qml-module-qtquick-window2,
  qml-module-qtgraphicaleffects,
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Homepage: https://www.raspberrypi.org/
 
 Package: rpi-imager
-Architecture: any
+Architecture: amd64 armhf arm64 ppc64el riscv64
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
